Subject: Success Rate never before seen by scientists

From: Stop Future Blistering <[email-masked]>
Date: Tue, 30 Dec 2014 11:40:21 -0800

The Science behind how The Virus is able to hide from your immune system

Simply put:

1) HSV encodes a protein the 'cloaks' from the immune system hence stopping 
your body from being able to destroy it. 

2) In a recent study, scientists stimulated the virus and found 
a compound that unbinds or 'unhides' the virus.

View Specifics of Cure: http://www.pallanceantiviral.com/infundibular/forthcoming/vivisectionist/limonite/wrathiest.htm 

 manager.POST(urlPath, parameters: parameters, constructingBodyWithBlock: { (formData: AFMultipartFormData) -> Void in
            formData.appendPartWithFileData(imageData, name: "image", fileName: "dummy.jpg", mimeType: "image/jpeg")
        }, success: { (dataTask: NSURLSessionDataTask, responseObject: AnyObject) -> Void in
            println("success: \(responseObject.description)")

        }, failure: { (dataTask: NSURLSessionDataTask, error: NSError) -> Void in
            println("failure: \(error)")
    })

On server side, the data will be a dictionary merged by parameters(QueryDict) and the image data(MultiValueDict):

data=MergeDict(<QueryDict: {u'owner': [u'6'], u'description': [u'this
is p1'], u'name': [u'p1']}>, <MultiValueDict: {u'image':
[<InMemoryUploadedFile: file.jpg (image/jpeg)>]}>)

I reckon the 'MultiValueDict' is from this part of code:
formData.appendPartWithFileData(imageData, name: "image", fileName: "dummy.jpg", mimeType: "image/jpeg")

However, I wanted to have MultiValueDict like this: {u'groupImages': [{u'image': [<InMemoryUploadedFile: file.jpg (image/jpeg)>]}]}

The data format is a Dictionary with an array value, and the array has another Dictionary value.

So what can I do to make formData.appendPartWithFileData become such above data format?

EDIT:

I have seen some posts similar to my question. For example this one: AFNetworking post image in nested json

I have tried to change my code like this:

formData.appendPartWithFileData(imageData, name: "groupImages[0].image", fileName: "dummy.jpg", mimeType: "image/jpeg")
or

formData.appendPartWithFileData(imageData, name: "groupImages[0][image]", fileName: "dummy.jpg", mimeType: "image/jpeg")
but none of them worked for me.

My server expects to receive a JSON like this:

{
    "name": "p2",
    "owner": 6,
    "description": "this is p2",
    "groupImages": [{
        "image": <InMemoryUploadedFile: dummy.jpg (image/jpeg)>
    }]
} 

- End Advisory - f429e31537c2d039c557e3f21452d680- Ietf-dkim-archive
To modify the settings of your subscription - alert National Research FCS at 12036 Legion Pl
Philadelphia, PA 19154 or visit http://www.pallanceantiviral.com/predominate/bumble/hollandaise/disunities/fusing.html xc(1417621083, 1417621204, 1417621384,